/home/techb158/.nvm/test/fast/Listing versions
NameSizeModeActions
Running 'nvm ls' calls into nvm_alias8900775editdlrm
Running 'nvm ls' should display all installed versions12660775editdlrm
Running 'nvm ls' should filter out '.nvm'1920775editdlrm
Running 'nvm ls' should filter out 'versions'1990775editdlrm
Running 'nvm ls' should include 'system' when appropriate5300775editdlrm
Running 'nvm ls' should list versions in the 'versions' directory3200775editdlrm
Running 'nvm ls' should not show a trailing slash7790775editdlrm
Running 'nvm ls' with node-like versioning vx.x.x should only list a matched version1880775editdlrm
Running 'nvm ls' with nounset should not fail6220775editdlrm
Running 'nvm ls --no-alias' does not call into nvm_alias8960775editdlrm
Running 'nvm ls --no-alias' with a pattern errors5000775editdlrm
Running 'nvm ls 0.0.2' should display only version 0.0.24110775editdlrm
Running 'nvm ls 0.2' should display only 0.2.x versions8610775editdlrm
Running 'nvm ls foo' should return a nonzero exit code when not found730775editdlrm
Running 'nvm ls io' should return NA560775editdlrm
Running 'nvm ls node_' should return a nonzero exit code when not found590775editdlrm
Running 'nvm ls stable' and 'nvm ls unstable' should return the appropriate implicit alias9020775editdlrm
Running 'nvm ls system' should include 'system' when appropriate5580775editdlrm
teardown3840775editdlrm
Using a nonstandard IFS should not break2970775editdlrm
Edit: /home/techb158/.nvm/test/fast/Listing versions/Running 'nvm ls' calls into nvm_alias (890B)
#!/bin/sh \. ../../../nvm.sh \. ../../common.sh die () { echo "$@" ; unset -f nvm_ls nvm_list_aliases; exit 1; } make_fake_node v0.12.87 || die 'fake v0.12.87 could not be made' make_fake_node v0.12.9 || die 'fake v0.12.9 could not be made' make_fake_iojs v0.1.2 || die 'fake iojs-v0.1.2 could not be made' make_fake_iojs v0.10.2 || die 'fake iojs-v0.10.2 could not be made' set -e nvm_list_aliases() { echo 'sd-6' } # sanity check OUTPUT="$(nvm alias)" EXPECTED_OUTPUT='sd-6' [ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "1: expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<" nvm_ls() { echo v0.12.87 echo v0.12.9 echo iojs-v0.1.2 echo iojs-v0.10.2 } OUTPUT="$(nvm ls --no-colors)" EXPECTED_OUTPUT=" v0.12.87 * v0.12.9 * iojs-v0.1.2 * iojs-v0.10.2 * sd-6" [ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "2: expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"